(use gather-egg-information test)

(define metadata
  '((gather-egg-information
     (version "1.0")
     (synopsis
      "A replacement for CHICKEN core's gather-egg-information which works with old and new henrietta-cache cache formats")
     (author "The CHICKEN Team")
     (category egg-tools)
     (license "BSD"))))

(test-begin "egg-information")

(test "Checking the old henrietta-cache cache format"
      metadata
      (gather-egg-information "cache-old"))

(test "Checking the new henrietta-cache cache format"
      metadata
      (gather-egg-information "cache-new"))

(test-end "egg-information")

(test-exit)
